Get an API endpoint
curl --request GET \
--url https://app.manypi.com/api/endpoints/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.manypi.com/api/endpoints/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.manypi.com/api/endpoints/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"method": "GET",
"scraper_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"param_schema": {},
"output_schema": {},
"freshness": "cached_ok",
"cache_ttl_seconds": 123,
"mode": "sync",
"created_at": "2023-11-07T05:31:56Z",
"invocations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"cache_hit": true,
"latency_ms": 123,
"credits_used": 123,
"created_at": "2023-11-07T05:31:56Z",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>"
}Endpoints
Get an endpoint
One endpoint’s settings and its 50 most recent invocations.
Requires the read permission.
GET
/
api
/
endpoints
/
{id}
Get an API endpoint
Authorizations
A ManyPI API key (mpi_...) from the profile menu → API Access in the dashboard, or an OAuth 2.1 access token obtained through the MCP consent flow.
Path Parameters
Response
The endpoint.
Available options:
GET, POST Available options:
cached_ok, always_fresh Available options:
sync, async Most recent first, up to 50.
Show child attributes
Show child attributes
